#1649 Can not send mail id ESMTP is disabled!

closed-fixed
Compose (426)
5
2006-05-10
2004-09-20
Anonymous
No

Hi

When trying to send mail via the compose page, SM
1.4.3a, will return an error... ( 502 5.5.1 Sorry, we do
not support this operation ) and just get disconnected

Moving messages, saving drafts works just fine! Only
when I enable ESMTP on the server will SM send out any
messages! In older versions SM 1.2 and early versions of
1.4, SM would try to send via HELO if EHLO failed, which
worked just fine...

1.4.1

24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:24 -
0400 >>> 220-mail.ya-right.com ESMTP Ya-Right Mail
Server V2.4.9876.0; Mon, 20 Sep 2004 14:06:24 -0400
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:24 -
0400 <<< EHLO 24.60.6.48
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:24 -
0400 >>> 502 5.5.1 Sorry, we do not support this
operation
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:25 -
0400 <<< HELO 24.60.6.48
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:25 -
0400 >>> 250 mail.ya-right.com Hello ya-right.com
[24.60.6.48], pleased to meet you.
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:25 -
0400 <<< AUTH DIGEST-MD5
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:06:25 -
0400 >>> 334

1.4.3a

24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:22:37 -
0400 >>> 220-mail.ya-right.com SMTP Ya-Right Mail
Server V2.4.9876.0; Mon, 20 Sep 2004 14:22:37 -0400
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:22:37 -
0400 <<< EHLO 24.60.6.48
24.60.6.48 [000007B4] Mon, 20 Sep 2004 14:22:37 -
0400 >>> 502 5.5.1 Sorry, we do not support this
operation
SYSTEM [000007B4] Mon, 20 Sep 2004 14:22:37 -
0400 Disconnected

dawnasinthemorning@yahoo.com

Discussion

  • Logged In: YES
    user_id=620333

    Can you try the latest CVS snapshot from the stable branch.
    I vaguely remember seeing a commit relating to detection of
    EHLO/HELO.

     
  • Logged In: YES
    user_id=285765

    @Jon: in the changelog this is mentioned under 1.4.3 RC-1.
    So I think it's that commit that appearently broke something.

     
    • assigned_to: nobody --> kink
     
  • Logged In: YES
    user_id=285765

    I'll see whether this can / needs to be fixed before the
    next release (regression since 1.4.2)

     
  • Tomas Kuliavas
    Tomas Kuliavas
    2005-09-25

    Logged In: YES
    user_id=225877

    class/deliver/Deliver_SMTP.class.php 1.13.2.8 and 1.24

    Since 1.4.3 and 1.5.1 SquirrelMail falls back to helo, if
    ehlo fails. Tested with 'smtp-sink -8 -a -C -e -F -p'.

    Main issue - error checking handles only 500 error. It is
    possible that Marc used smtp-sink for testing too and
    haven't tested for 501 or 502 error messages.

     
    • status: open --> closed-fixed
     
  • Logged In: YES
    user_id=285765

    Yes, I've looked into it, and SquirrelMail should fall back
    to HELO if any error is encountered. I've changed the logic
    to do that for any 5xx error, as per RFC1869. This is safe,
    because if HELO then also fails, the we give up. This is
    allowed.

    Thanks for reporting!